/* 
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 *
 */

package org.apache.muse.tools.generator.projectizer;

public interface MiniProjectizerConstants {

	String[] REQUIRED_MODULES = { "core", "mini", "ws-fx-api", "ws-fx-impl"};
    
    String[] REQUIRED_LIBRARIES = { "common" };
	
	String WEB_CONTENT_DIR = "WebContent";

    String WEB_INF_DIR = "WEB-INF";

	String WEB_INF_LIB_DIR = WEB_INF_DIR + "/lib";

	String MODULES_DIR = "modules";

    String LIB_DIR = "lib";
	
	String DESCRIPTOR_FILE = WEB_INF_DIR + "/classes/muse.xml";
	
	String JAVA_SRC_DIR = "JavaSource";
	
	String BUILD_FILE = "build.xml";
	
	String RESOURCES_DIR = "/resources/mini/";
	
	String BUILD_FILE_RESOURCE = RESOURCES_DIR + "build.xml";
    
    String WEB_XML_RESOURCE = RESOURCES_DIR + "web.xml";
    
    String WEB_XML_FILE = "web.xml";

	String WSDL_DIR = WEB_INF_DIR + "/classes/wsdl";

	String ROUTER_ENTRIES_DIR = WEB_INF_DIR + "/classes/router-entries";

	String WSDL_RELATIVE_PATH = "/wsdl/";
}
