/* 
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 *
 */

package org.apache.muse.tools.generator.projectizer;

/**
 * Contains constant values for the <code>OsgiProjectizer</code>.
 * 
 * @author Andrew Eberbach (aeberbac)
 *
 */
public interface OsgiProjectizerConstants {

	String TEMPLATE_DIR = "lib/eclipse-osgi";	
	
	String MUSE_DESCRIPTOR_FILE = "config/muse.xml";
	
	String OSGI_MANIFEST_FILE = "config/MANIFEST.MF";
	
	String PLUGINS_DIR = "plugins";
	
	String JAVA_SRC_DIR = "src";
	
	String WSDL_DIR = "wsdl";
	
	String RESOURCES_DIR = "/resources/osgi/";
	
	String BUILD_FILE = "build.xml";
	
	String BUILD_FILE_RESOURCE = RESOURCES_DIR + "build.xml";
	
	String ACTIVATOR_FILE_RESOURCE = RESOURCES_DIR + "Activator";
	
	String OSGI_MANIFEST_FILE_RESOURCE = RESOURCES_DIR + "MANIFEST.MF";
	
	String CONFIG_FILE_RESOURCE = RESOURCES_DIR + "config.ini";
	
	String CONFIG_FILE = "config/config.ini";
	
	String ACTIVATOR_NAME = "Activator";
	
	String ROUTER_ENTRIES_DIR = "router-entries";

	String MODULES_DIR = "modules";
	
	String LIB_DIR = "lib";

	String[] REQUIRED_LIBS = { "core", "ws-fx-api", "ws-fx-impl"};
}
