/* 
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 *
 */

package org.apache.muse.tools.generator.projectizer;

/**
 * Contains constant values for the <code>ProxyProjectizer</code>.
 * 
 * @author Andrew Eberbach (aeberbac)
 */
public interface ProxyProjectizerConstants {

	String[] REQUIRED_MODULES = { "core", "ws-fx-api", "ws-fx-impl"};
	
	String JAVA_SRC_DIR = "src";

	String BUILD_FILE = "build.xml";

	String RESOURCES_DIR = "/resources/proxy/";

	String BUILD_FILE_RESOURCE = RESOURCES_DIR + "build.xml";

	String LIB_DIR = "lib";

	String[] REQUIRED_MUSE_LIBS = { "common" };

}
