/* 
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 *
 */

package org.apache.muse.tools.inspector;

import javax.xml.namespace.QName;

import org.apache.muse.ws.resource.metadata.MetadataDescriptor;

/**
 * 
 * @author Andrew Eberbach (aeberbac)
 * 
 */
public class JavaProperty
{
    private QName _name = null;

    private Class _type = null;

	private MetadataDescriptor _metadata;

    public Class getJavaType()
    {
        return _type;
    }

    public QName getName()
    {
        return _name;
    }

    public void setJavaType(Class propertyType)
    {
        _type = propertyType;
    }

    public void setQName(QName property)
    {
        _name = property;
    }
    
    public boolean isAppendable()
    {
        return !_metadata.isReadOnlyExternal(_name) && _metadata.canInsert(_name);
    }
    
    public boolean isMutable()
    {
        return !_metadata.isReadOnlyExternal(_name) && _metadata.canUpdate(_name);
    }

	public void setMetadata(MetadataDescriptor metadata) {
		_metadata = metadata;
	}
}
